validation

package
Version: v0.0.0-...-d88c8b5 Latest Latest
Warning

This package is not in the latest version of its module.

Go to latest
Published: Feb 9, 2021 License: Apache-2.0 Imports: 15 Imported by: 0

Documentation

Index

Constants

View Source
const SysctlPatternFmt string = "(" + apivalidation.SysctlSegmentFmt + "\\.)*" + sysctlPatternSegmentFmt

Variables

View Source
var ValidatePodSecurityPolicyName = apimachineryvalidation.NameIsDNSSubdomain

ValidatePodSecurityPolicyName can be used to check whether the given pod security policy name is valid. Prefix indicates this name will be used as part of generation, in which case trailing dashes are allowed.

Functions

func IsValidSysctlPattern

func IsValidSysctlPattern(name string) bool

func ValidatePodDisruptionBudget

func ValidatePodDisruptionBudget(pdb *policy.PodDisruptionBudget) field.ErrorList

func ValidatePodDisruptionBudgetSpec

func ValidatePodDisruptionBudgetSpec(spec policy.PodDisruptionBudgetSpec, fldPath *field.Path) field.ErrorList

func ValidatePodDisruptionBudgetStatus

func ValidatePodDisruptionBudgetStatus(status policy.PodDisruptionBudgetStatus, fldPath *field.Path) field.ErrorList

func ValidatePodSecurityPolicy

func ValidatePodSecurityPolicy(psp *policy.PodSecurityPolicy) field.ErrorList

func ValidatePodSecurityPolicySpec

func ValidatePodSecurityPolicySpec(spec *policy.PodSecurityPolicySpec, fldPath *field.Path) field.ErrorList

func ValidatePodSecurityPolicySpecificAnnotations

func ValidatePodSecurityPolicySpecificAnnotations(annotations map[string]string, fldPath *field.Path) field.ErrorList

func ValidatePodSecurityPolicyUpdate

func ValidatePodSecurityPolicyUpdate(old *policy.PodSecurityPolicy, new *policy.PodSecurityPolicy) field.ErrorList

ValidatePodSecurityPolicyUpdate validates a PSP for updates.

Types

This section is empty.

Source Files

Jump to

Keyboard shortcuts

? : This menu
/ : Search site
f or F : Jump to
y or Y : Canonical URL